
ISIS - Feature #4553

Update and improve sumspice for additional mission support (Hayabusa, Dawn, OSIRIS-REx)

2016-12-02 01:50 PM - Kris Becker

Status: Closed   

Priority: Normal   

Assignee: Kristin Berry   

Category: Applications   

Target version: 3.5.0 (FY17 R1 2017-01-25 Jan)   

Impact:  Software Version:  

Description

The sumspice application requires additional improvements and features needed to support other missions. The following changes

are planned or completed:

1) Provide accommodations for different time references in SUMFILEs (start, center, stop - see SUMTIME parameter)

2) Update options to be more flexible (see UPDATE parameter)

3) Add more robust determination of observation times

4)  Add start time delay options, particularly for Dawn FC, which has a 193 ms start time delay

5) Add a log option that reports operations and timing operations for confirmation and analysis

6) Improve logging of timing activities to labels

7) Timing updates are no longer required before applying SPICE update options (not required for all instruments)

8) Improve procedures to disable SPICE/camera model (in Kernels group) after a timing update

9) Add SUMTIME, UPDATE, TOLOG parameters and removed the MODE parameter

10) Change the default for TIMEDIFF to INFINITY from 0 so success is guaranteed

11) Added UPDATE=RESET option to restore original times. Some of these changes breaks backwards compatibility.

Related issues:

Related to ISIS - Bug #4542: sumspice fails tests when runnings manually in ipce Acknowledged

History

#1 - 2016-12-02 01:51 PM - Kris Becker

- Related to Bug #4542: sumspice fails tests when runnings manually in ipce added

#2 - 2016-12-08 10:46 AM - Kris Becker

- Assignee set to Kristin Berry

- Target version set to 3.5.0 (FY17 R1 2017-01-25 Jan)

#3 - 2016-12-09 10:39 AM - Kristin Berry

- Status changed from New to Resolved

#4 - 2016-12-09 01:04 PM - Kris Becker

- Status changed from Resolved to Closed

Thanks!
